List an organization's invitations
GET
/api/organizations/{organizationId}/invitations
Returns every invitation belonging to the organization, in any status (pending, accepted, declined, expired, cancelled). On these org-scoped endpoints the inviter is exposed as an organization-member IRI via the "invitedBy" field.
Authorizations
ApiToken
Long-lived API token created via POST /api/api-tokens (returned once in plaintext).
Type
API Key (header: X-API-TOKEN)
or
JWT
JWT access token obtained via POST /api/auth/login. Send as: Authorization: Bearer
Type
HTTP (bearer)
Parameters
Path Parameters
organizationId*
Organization identifier
Type
Requiredstring
Query Parameters
page
The collection page number
Type
integer
Default
1itemsPerPage
The number of items per page
Type
integer
Default
30Minimum
0Maximum
100Responses
invitation collection
JSON "totalItems": 0, "search": { "@type": "string", "template": "string", "variableRepresentation": "string", "mapping": [ { "@type": "string", "variable": "string", "property": "string", "required": true } ] }, "view": { "@id": "string", "@type": "string", "first": "string", "last": "string", "previous": "string", "next": "string" }, "member": [ { "@context": "string", "@id": "string", "@type": "string", "id": "9b1deb4d-3b7d-4bad-9bdd-2b0d7b3dcb6d", "organization": "/api/organizations/1", "email": "alice@example.com", "role": "MANAGER", "status": "pending", "createdAt": "2026-07-01T10:15:30+00:00", "expiresAt": "2026-07-08T10:15:30+00:00", "acceptedAt": "2026-07-02T09:00:00+00:00", "invitedBy": "https://example.com/" } ]
{
}
